当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 24 篇帖子 ]  前往页数 1, 2  下一页
作者 内容
1 楼 
 文章标题 : 安装wine3.0执行make命令的时候提示程序 'make' 已包含在下列软件包中
帖子发表于 : 2018-04-18 11:55 

注册: 2009-10-01 10:34
帖子: 45
送出感谢: 0 次
接收感谢: 0 次
执行make命令后提示如下:
程序 'make' 已包含在下列软件包中:
* make
* make-guile
请尝试:sudo apt install <选定的软件包>


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 安装wine3.0执行make命令的时候提示程序 'make' 已包含在下列软件包中
帖子发表于 : 2018-04-18 12:09 
头像

注册: 2007-07-14 20:45
帖子: 1267
送出感谢: 68
接收感谢: 37
我猜应该是你没有切换到wine目录下执行make


_________________
开源、共享、自由

微信号非公众号:xfiles_sky

用手机点击这里有奇迹发生,其他无效


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 安装wine3.0执行make命令的时候提示程序 'make' 已包含在下列软件包中
帖子发表于 : 2018-04-18 12:13 

注册: 2009-10-01 10:34
帖子: 45
送出感谢: 0 次
接收感谢: 0 次
已经进入wine3.0的目录了,make前面执行的是./configure,结束后提示do “make”,但是输入make后回车就提示上面的提示了

下面是configure结尾几行内容:
configure: WARNING: libxrender 32-bit development files not found, XRender won't be supported.

configure: WARNING: No OpenGL library found on this system.
OpenGL and Direct3D won't be supported.

configure: WARNING: libxml2 32-bit development files not found (or too old), XML won't be supported.

configure: WARNING: libxslt 32-bit development files not found, xslt won't be supported.

configure: WARNING: libgnutls 32-bit development files not found, no schannel support.

configure: WARNING: libjpeg 32-bit development files not found, JPEG won't be supported.

configure: WARNING: No sound system was found. Windows applications will be silent.

configure: Finished. Do 'make' to compile Wine.

root@john-Latitude-E7270:/home/john/桌面/wine-3.0#


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 安装wine3.0执行make命令的时候提示程序 'make' 已包含在下列软件包中
帖子发表于 : 2018-04-18 14:05 
头像

注册: 2007-07-14 20:45
帖子: 1267
送出感谢: 68
接收感谢: 37
32位版本的?你的系统是什么版本的?


_________________
开源、共享、自由

微信号非公众号:xfiles_sky

用手机点击这里有奇迹发生,其他无效


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 安装wine3.0执行make命令的时候提示程序 'make' 已包含在下列软件包中
帖子发表于 : 2018-04-18 14:08 

注册: 2009-10-01 10:34
帖子: 45
送出感谢: 0 次
接收感谢: 0 次
64位的系统


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 安装wine3.0执行make命令的时候提示程序 'make' 已包含在下列软件包中
帖子发表于 : 2018-04-18 14:15 

注册: 2009-10-01 10:34
帖子: 45
送出感谢: 0 次
接收感谢: 0 次
对于Ubuntu系统,虽然十年前就已经玩过了,但是也仅限于安装系统,使用终端操作的命令基本不会,每次都是一边百度一边操作。我很想能够像用windows那样,自己能够熟练地使用ubuntu,但是不知道该怎样入门,尤其是那些神秘的命令行。


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 安装wine3.0执行make命令的时候提示程序 'make' 已包含在下列软件包中
帖子发表于 : 2018-04-18 17:20 

注册: 2009-08-04 16:33
帖子: 17781
送出感谢: 21
接收感谢: 1914
引用:
安装 wine3.0

安裝方法 參閱
https://wiki.winehq.org/Ubuntu


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 安装wine3.0执行make命令的时候提示程序 'make' 已包含在下列软件包中
帖子发表于 : 2018-04-18 17:29 

注册: 2009-10-01 10:34
帖子: 45
送出感谢: 0 次
接收感谢: 0 次
谢谢,明天试试,有问题再请假各位。


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 安装wine3.0执行make命令的时候提示程序 'make' 已包含在下列软件包中
帖子发表于 : 2018-04-23 11:31 

注册: 2009-10-01 10:34
帖子: 45
送出感谢: 0 次
接收感谢: 0 次
石门客 写道:
谢谢,明天试试,有问题再请假各位。
按照https://wiki.winehq.org/Ubuntu提供的方法,进行到sudo apt-get install这一步又出问题了,没有wine-stable的依赖关系(如下),请问如何添加依赖关系?

john@john-Latitude-E7270:~$ sudo apt-get install --install-recommends winehq-stable
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
有一些软件包无法被安装。如果您用的是 unstable 发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们已被从新到(Incoming)目录移出。
下列信息可能会对解决问题有所帮助:

下列软件包有未满足的依赖关系:
winehq-stable : 依赖: wine-stable (= 3.0.0~trusty)
E: 无法修正错误,因为您要求某些软件包保持现状,就是它们破坏了软件包间的依赖关系。
john@john-Latitude-E7270:~$


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 安装wine3.0执行make命令的时候提示程序 'make' 已包含在下列软件包中
帖子发表于 : 2018-04-23 15:17 

注册: 2009-08-04 16:33
帖子: 17781
送出感谢: 21
接收感谢: 1914
引用:
sudo apt-get install --install-recommends winehq-stable

1. 在 Ubuntu
apt-get install 預設就是會同 推薦套件 一起安裝
意思是 --install-recommends 可以不必加
引用:
下列软件包有未满足的依赖关系:
winehq-stable : 依赖: wine-stable (= 3.0.0~trusty)
E: 无法修正错误,因为您要求某些软件包保持现状,就是它们破坏了软件包间的依赖关系。

2. 你以前曾經安裝過 wine-stable ?
2-1. 先把以前曾經安裝過的 Wine 有關套件移除 再重新安裝新的

3. 養成好習慣
在 Ubuntu 安裝/升級 任何套件以前 先把你的系統更新到最新狀況
sudo apt-get update
sudo apt-get upgrade


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 安装wine3.0执行make命令的时候提示程序 'make' 已包含在下列软件包中
帖子发表于 : 2018-04-24 12:59 

注册: 2009-10-01 10:34
帖子: 45
送出感谢: 0 次
接收感谢: 0 次
poloshiao 写道:
引用:
sudo apt-get install --install-recommends winehq-stable

1. 在 Ubuntu
apt-get install 預設就是會同 推薦套件 一起安裝
意思是 --install-recommends 可以不必加
引用:
下列软件包有未满足的依赖关系:
winehq-stable : 依赖: wine-stable (= 3.0.0~trusty)
E: 无法修正错误,因为您要求某些软件包保持现状,就是它们破坏了软件包间的依赖关系。

2. 你以前曾經安裝過 wine-stable ?
2-1. 先把以前曾經安裝過的 Wine 有關套件移除 再重新安裝新的

3. 養成好習慣
在 Ubuntu 安裝/升級 任何套件以前 先把你的系統更新到最新狀況
sudo apt-get update
sudo apt-get upgrade


安装好系统以后我直接按照https://wiki.winehq.org/Ubuntu里面介绍的步骤进行安装wine,到sudo apt-get install这一步就进行不下去了


页首
 用户资料  
 
12 楼 
 文章标题 : Re: 安装wine3.0执行make命令的时候提示程序 'make' 已包含在下列软件包中
帖子发表于 : 2018-04-24 14:45 

注册: 2009-08-04 16:33
帖子: 17781
送出感谢: 21
接收感谢: 1914
引用:
进行安装wine,到sudo apt-get install这一步就进行不下去了

請把 安裝指令 及 終端機 回應文字
全部複製貼上來


页首
 用户资料  
 
13 楼 
 文章标题 : Re: 安装wine3.0执行make命令的时候提示程序 'make' 已包含在下列软件包中
帖子发表于 : 2018-04-24 19:37 

注册: 2009-10-01 10:34
帖子: 45
送出感谢: 0 次
接收感谢: 0 次
poloshiao 写道:
引用:
进行安装wine,到sudo apt-get install这一步就进行不下去了

請把 安裝指令 及 終端機 回應文字
全部複製貼上來


安装系统的时候选择了安装更新,以下是安装wine过程中执行命令后显示的所有内容:

john@john-Latitude-E7270:~$ sudo dpkg --add-architecture i386
[sudo] john 的密码:
john@john-Latitude-E7270:~$ wget -nc https://dl.winehq.org/wine-builds/Release.key
--2018-04-24 19:31:40-- https://dl.winehq.org/wine-builds/Release.key
正在解析主机 dl.winehq.org (dl.winehq.org)... 151.101.72.69
正在连接 dl.winehq.org (dl.winehq.org)|151.101.72.69|:443... 已连接。
已发出 HTTP 请求,正在等待回应... 200 OK
长度: 3122 (3.0K) [application/pgp-keys]
正在保存至: “Release.key”

Release.key 100%[===================>] 3.05K --.-KB/s 用时 0s

2018-04-24 19:31:41 (15.4 MB/s) - 已保存 “Release.key” [3122/3122])

john@john-Latitude-E7270:~$ sudo apt-key add Release.key
OK
john@john-Latitude-E7270:~$ sudo apt-add-repository https://dl.winehq.org/wine-builds/ubuntu/
john@john-Latitude-E7270:~$ sudo apt-add-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ trusty main'
john@john-Latitude-E7270:~$ sudo apt-get update
命中:1 http://archive.ubuntukylin.com:10006/ubuntukylin xenial InRelease
命中:2 http://archive.ubuntukylin.com:10006/ubuntukylin artful InRelease
命中:3 http://security.ubuntu.com/ubuntu artful-security InRelease
获取:4 https://dl.winehq.org/wine-builds/ubuntu artful InRelease [4,701 B]
获取:5 https://dl.winehq.org/wine-builds/ubuntu trusty InRelease [4,701 B]
获取:6 https://dl.winehq.org/wine-builds/ubuntu artful/main i386 Packages [13.0 kB]
获取:7 https://dl.winehq.org/wine-builds/ubuntu artful/main amd64 Packages [13.1 kB]
获取:8 https://dl.winehq.org/wine-builds/ubuntu trusty/main i386 Packages [29.7 kB]
获取:9 https://dl.winehq.org/wine-builds/ubuntu trusty/main amd64 Packages [30.0 kB]
命中:10 http://cn.archive.ubuntu.com/ubuntu artful InRelease
命中:11 http://cn.archive.ubuntu.com/ubuntu artful-updates InRelease
命中:12 http://cn.archive.ubuntu.com/ubuntu artful-backports InRelease
已下载 95.1 kB,耗时 3秒 (27.5 kB/s)
正在读取软件包列表... 完成
john@john-Latitude-E7270:~$ sudo apt-get install --install-recommends winehq-stable
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
有一些软件包无法被安装。如果您用的是 unstable 发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们已被从新到(Incoming)目录移出。
下列信息可能会对解决问题有所帮助:

下列软件包有未满足的依赖关系:
winehq-stable : 依赖: wine-stable (= 3.0.0~trusty)
E: 无法修正错误,因为您要求某些软件包保持现状,就是它们破坏了软件包间的依赖关系。
john@john-Latitude-E7270:~$


页首
 用户资料  
 
14 楼 
 文章标题 : Re: 安装wine3.0执行make命令的时候提示程序 'make' 已包含在下列软件包中
帖子发表于 : 2018-04-24 20:06 

注册: 2009-08-04 16:33
帖子: 17781
送出感谢: 21
接收感谢: 1914
引用:
安装系统的时候选择了安装更新

1. 新手
以後 避免 安裝系統時 勾選 同時安裝更新 及 影音套件
1-1. 建議
安裝好後 再更新
引用:
john@john-Latitude-E7270:~$ sudo apt-add-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ trusty main'

2. 這個指令 是在 Linux Mint 17.x 才使用的
2-1. 在 Ubuntu 使用下面這個指令即可
john@john-Latitude-E7270:~$ sudo apt-add-repository https://dl.winehq.org/wine-builds/ubuntu/
2-2. 參見
https://wiki.winehq.org/Ubuntu


页首
 用户资料  
 
15 楼 
 文章标题 : Re: 安装wine3.0执行make命令的时候提示程序 'make' 已包含在下列软件包中
帖子发表于 : 2018-04-24 20:08 

注册: 2009-10-01 10:34
帖子: 45
送出感谢: 0 次
接收感谢: 0 次
poloshiao 写道:
引用:
安装系统的时候选择了安装更新

新手
以後 避免 安裝系統時 勾選 同時安裝更新 及 影音套件


难道就是因为这个小动作?


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 24 篇帖子 ]  前往页数 1, 2  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译